Skip to main content
GET
/
v1
/
links
/
{link_id}
/
statements
List all statements
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/statements/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "count": 100,
  "next": "https://prod.truv.com/v1/link/0000000000/statements?page=1",
  "previous": "https://prod.truv.com/v1/link/0000000000/statements?page=1",
  "results": [
    {
      "pay_date": "2018-05-15T00:00:00.000Z",
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "check_number": "29205182",
      "net_pay": "11500.32",
      "net_pay_ytd": "31980.64",
      "gross_pay": "13900.11",
      "gross_pay_ytd": "49200.00",
      "bonus": "100.00",
      "commission": "12000.00",
      "hours": "40.00",
      "basis_of_pay": "S",
      "period_start": "2018-05-01T00:00:00.000Z",
      "period_end": "2018-05-15T00:00:00.000Z",
      "regular": "1695.11",
      "regular_ytd": "23000.00",
      "other_pay_ytd": "700.00",
      "bonus_ytd": "1000.00",
      "commission_ytd": "24000.00",
      "overtime": "45.00",
      "overtime_ytd": "500.00",
      "other_pay": "60.00",
      "earnings": [
        {
          "name": "Regular",
          "amount": "1935.77",
          "category": "regular",
          "rate": null,
          "units": null
        },
        {
          "name": "Overtime",
          "amount": "60.58",
          "category": "overtime",
          "rate": "30.29",
          "units": "2"
        }
      ],
      "earnings_ytd": [
        {
          "name": "Regular",
          "amount": "1935.77",
          "category": "regular",
          "rate": null,
          "units": null
        },
        {
          "name": "Overtime",
          "amount": "60.58",
          "category": "overtime",
          "rate": "30.29",
          "units": "2"
        }
      ],
      "deductions": [
        {
          "name": "Social Security Tax",
          "amount": "127.01",
          "category": "socialsec"
        },
        {
          "name": "VA State Income Tax",
          "amount": "46.23",
          "category": "state"
        },
        {
          "name": "Medicare Tax",
          "amount": "29.7",
          "category": "medicare"
        }
      ],
      "deductions_ytd": [
        {
          "name": "Social Security Tax",
          "amount": "127.01",
          "category": "socialsec"
        },
        {
          "name": "VA State Income Tax",
          "amount": "46.23",
          "category": "state"
        },
        {
          "name": "Medicare Tax",
          "amount": "29.7",
          "category": "medicare"
        }
      ],
      "md5sum": "03639d6a6624f69a54a88ea90bd25e9d",
      "file": "https://cdn.truv.com/paystub_sample.pdf",
      "derived_fields": [
        "basis_of_pay"
      ],
      "missing_data_fields": [
        "earnings_ytd"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://truv.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Query Parameters

pay_date_from
string
default:2022-06-01T00:00:00.000Z

Filter pay_date greater than or equal (ISO-8601)

pay_date_to
string
default:2022-06-02T00:00:00.000Z

Filter pay_date less than or equal (ISO-8601)

page
integer
default:1

Page number from the statement list

page_size
integer

Number of results to return per page.

employment_id
string

Employment ID. If not provided, the most recent employment will be used.

return_all_statements
boolean
default:false

Whether to include all statements, ignoring customization template limits.

Response

Statements List

count
integer
required

Number of the results in total

Example:

100

next
string | null
required

Link to the next page

Example:

"https://prod.truv.com/v1/link/0000000000/statements?page=1"

previous
string | null
required

Link to the previous page

Example:

"https://prod.truv.com/v1/link/0000000000/statements?page=1"

results
object[]
required

List of the Pay Statements